CURLOPT_MAXREDIRS(3)

NAME
CURLOPT_MAXREDIRS - maximum number of redirects allowed

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_MAXREDIRS, long amount);

DESCRIPTION
Pass a long. The set number will be the redirection limit amount. If that many redirections have been followed, the next redirect will cause an error (CURLE_TOO_MANY_REDIRECTS). This option only makes sense if the CURLOPT_FOLLOWLOCATION(3) is used at the same time. Setting the limit to 0 will make libcurl refuse any redirect. Set it to -1 for an infinite number of redirects.

DEFAULT
-1, unlimited

PROTOCOLS
HTTP

EXAMPLE
TODO

AVAILABILITY
Along with HTTP

RETURN VALUE
Returns CURLE_OK if HTTP is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_FOLLOWLOCATION(3),